Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.portlet.servlet
Class PortletServletConfig

    java.lang.Object
      org.apache.struts2.portlet.servlet.PortletServletConfig

All Implemented Interfaces:
  javax.servlet.ServletConfig

    public class PortletServletConfig

extends Object
implements javax.servlet.ServletConfig

Wrapper object exposing a `PortletConfig` as a `ServletConfig` instance. Clients accessing this config object will in fact operate on the `PortletConfig` object wrapped by this config object.

Constructor Summary
`PortletServletConfig(javax.portlet.PortletConfig portletConfig)`

Method Summary
`String` | `getInitParameter(String name)`
`Enumeration` | `getInitParameterNames()`
`javax.portlet.PortletConfig` | `getPortletConfig()` Get the wrapped `PortletConfig` instance.
`javax.servlet.ServletContext` | `getServletContext()` Get the `PortletContext` as a `PortletServletContext` instance.
`String` | `getServletName()` Will return the portlet name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletServletConfig

    public PortletServletConfig(javax.portlet.PortletConfig portletConfig)

Method Detail

### getInitParameter

    public String getInitParameter(String name)

  Specified by:
    `getInitParameter` in interface `javax.servlet.ServletConfig`

### getInitParameterNames

    public Enumeration getInitParameterNames()

  Specified by:
    `getInitParameterNames` in interface `javax.servlet.ServletConfig`

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Get the `PortletContext` as a `PortletServletContext` instance.

  Specified by:
    `getServletContext` in interface `javax.servlet.ServletConfig`
  See Also:
    `ServletConfig.getServletContext()`

### getServletName

    public String getServletName()

  Will return the portlet name.

  Specified by:
    `getServletName` in interface `javax.servlet.ServletConfig`
  See Also:
    `ServletConfig.getServletName()`

### getPortletConfig

    public javax.portlet.PortletConfig getPortletConfig()

  Get the wrapped `PortletConfig` instance.

  Returns:
    The wrapped `PortletConfig` instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.